<?php

namespace App\Filament\Resources\SubCategories\Schemas;

use Filament\Forms\Components\TextInput;
use Filament\Schemas\Schema;
use Filament\Forms\Components\Select;
class SubCategoryForm
{
public static function configure(Schema $schema): Schema
{
    return $schema
        ->components([
            TextInput::make('name')
                ->required(),

            Select::make('category_id')
                ->relationship('category', 'name')
                ->required(),
        ]);
}
}
